﻿var inquiryurl = "inquiry.aspx";
var cbsid = [];
$(function () {
    delCookie("merge");

    $(window).scroll(function () {
        var scrollTop = $(this).scrollTop();
        if (scrollTop > 150) {
            $("#dv_head_float").show();
        }
        else {
            $("#dv_head_float").hide();
        }
    });

    $("#float_search_btn_hide").click(function () {
        var kwd = $("#float_search_text").val();
        if (kwd.length > 0) {
            kwd = kwd.trim()
        }
        location.href = "/ProductList_KR.aspx?kwd=" + encodeURIComponent(kwd);
    })
    $("#float_search_btn").click(function () {
        var kwd = $("#float_search_text").val();
        if (kwd.length > 0) {
            kwd = kwd.trim()
        }
        location.href = "/ProductList_KR.aspx?kwd=" + encodeURIComponent(kwd);
    });
    $("#float_search_text").keyup(function (event) {
        var which = event.which;
        if (which == 13) {
            $("#float_search_btn_hide").trigger("click");
        }
    });
    //设置默认值
    $("#float_search_text").val(getSearchKeyWord());

    $(".search_str").click(function () {
        location.href = "/StructuredSearch_EN.htm";
    });

    //增加分页url
    $("a[data-page-number]").each(function () {
        var nm = $(this).attr("data-page-number");
        var url = getUrl("page", nm);
        $(this).attr("href", url);
    });

    //$(".filter").on("click", "li", function () {

    //    var data = $(this).data();
    //    if ($(this).hasClass("Sel_h")) {
    //        $(this).removeClass("Sel_h");
    //        window.location.href = removeUrlSearch("page", removeUrl(data.key));
    //    }
    //    else {
    //        $(this).addClass("Sel_h");
    //        window.location.href = removeUrlSearch("page", getUrl(data.key, data.name));
    //    }

    //});

    $(".Fil_l").on("click", "li", function () {
        var data = $(this).data();
        if ($(this).hasClass("Sel_h")) {
            $(this).removeClass("Sel_h");
            window.location.href = removeUrlSearch("page", removeUrl(data.key));
        }
        else {
            $(this).addClass("Sel_h");
            window.location.href = removeUrlSearch("page", getUrl(data.key, data.name));
        }

    });

    $(".pageGo").click(function () {
        var no = $(".pageNo").val();
        if (parseInt(no) > 0) {
            location.href = getUrl("page", no);
        }
    });


    $("#bt_delegate_list").click(function () {
        var cas = $("#bt_delegate_list").attr("data-cas");
        var productname = $("#bt_delegate_list").attr("data-productname");
        var ename = $("#bt_delegate_list").attr("data-productename");
        cbnumber = $("#bt_delegate_list").attr("data-cbnumber");
        source = "pageleft";
        location.href = "InquiryToSupplier_KR.aspx?cas=" + cas + "&ename=" + ename + "&n=" + productname + "&cbnumber=" + cbnumber + "&source=" + source;
    });

    function addLogComToIn() {
        var LogType = "4";
        var meIP = GetIP();
        var data = {
            "IP": meIP,
            "LogType": LogType,
            "Module": "ComToIn",
            "LoginUserName": MGetCookie("userName"),
            "PageUrl": "ProductListKR",
            "AllPath": GetLogInfoUrl(window.location.href),
            "ParentUrl": GetLogInfoUrl(window.parent.location.href),
            "Cas": "",
            "CBNumber": $("#hid_cbn").val(),
            "KeyValue1": $("#hid_kwd").val(),
        };
        var value = JSON.stringify(data);
        AddLogAsync(value);
    }

    $(".Sel_O").click(function (event) {
        var $target = $(event.target);
        if ($target.hasClass("Fmore")) {
            var data = $target.data();
            if (data.expend) {
                var $conditionElement = $(this).parent();
                var condition = new Conditions($conditionElement, $target);
                if (data.expend == "multiple") {
                    condition.multiple();
                }
                else {
                    condition.more();
                }
            }
        }
        else if ($target.hasClass("Sel_dx")) {
            var data = $target.parent().data();
            if (data.expend) {
                var $conditionElement = $(this).parent();
                var condition = new Conditions($conditionElement, $target.parent());
                if (data.expend == "multiple") {
                    condition.multiple();
                }

            }
        }
        else if ($target.get(0).tagName == "INPUT") {
            var data = $target.data();
            if (data.operator) {
                var $conditionElement = $target.parent();
                var condition = new Conditions($conditionElement, $target);
                if (data.operator == "save") {
                    condition.multipleSearch();
                }
                else {
                    condition.expend();
                }
            }
        }
        else if ($target.get(0).tagName == "LI" || $target.get(0).tagName == "A") {
            var d_key = $target.get(0).getAttribute("data-key") || "";
            var d_name = $target.get(0).getAttribute("data-name") || "";
            if (d_key.toLowerCase() == "a" && d_name.toLowerCase() == "india") {
                window.open("about:blank").location.href = $("#hid_indiahost").val() + "/company-list/" + $("#hid_kwd").val();
                addLogComToIn();
                return;
            }
            var $conditionElement = $(this).parent();
            var condition = new Conditions($conditionElement, $target);
            condition.singSearch($conditionElement, $target);
        }
    });

    displaySearchConditions();
    $(".Sel_Y").on("click", "b[data-key]", function () {
        var $target = $(this);
        $target.parent().remove();
        window.location.href = removeUrl($target.attr("data-key"));
    });

    $(":input[data-field='cbsid']").click(function () {
        if ($(this)[0].checked) {
            if (cbsid.length>=10) {
                alert("기껏해야 10 개 공급 업체를 선택하십시오!")
                return false;
            }
            cbsid.push($(this).attr("data-cbsid"));
            if (cbsid.length >= 1) {
                $("div[data-merge='true']").remove();
                mergeShow($(this));
            }
        }
        else {
            cbsid.removeByValue($(this).attr("data-cbsid"));
            $("div[data-merge='true']").remove();
            if (cbsid.length >= 1) {
                var lastid = cbsid[cbsid.length - 1];
                var lastCheckBox = $(":input:checkbox[data-cbsid='" + lastid + "']");
                mergeShow(lastCheckBox);
            }
        }
    });

    $(":input[data-field='inquiry']").click(function () {
        var cas = $("#bt_delegate_list").attr("data-cas");
        var cbnumber = $(this).attr("data-cbnumber");
        var productname = $(this).attr("data-product-name");
        var ename = $("#bt_delegate_list").attr("data-productename");
        var source = $(this).attr("data-cbsid");
        setCookie("merge", source, "d1");
        location.href = "InquiryToSupplier_KR.aspx?cas=" + cas + "&ename=" + ename + "&n=" + productname + "&cbnumber=" + cbnumber + "&source=" + source;

    });
    var userName = $("#cookie_userName").val();
    if (userName != null) {
        getMyAccount();
    }
    var $Sel = $(".Sel_O");

    var cwidth = 0;
    for (var i = 0; i < $Sel.length; i++) {
        cwidth = 0;
        var $curSel = $("#Sel" + i);
        $curSel.find("li").each(function () {
            cwidth += $(this).width() + 20;
            if (cwidth > 730) {
                $curSel.find("span[data-expend='more']").show();
            }
            else {
                $curSel.find("span[data-expend='more']").hide();
            }
        });
    }
    $("a[data-source='ch']").attr("href", "/ProductList.aspx?cbn=" + $("#bt_delegate_list").attr("data-cbnumber"));
    $("a[data-source='en']").attr("href", "/ProductList_EN.aspx?cbn=" + $("#bt_delegate_list").attr("data-cbnumber"));
    $("a[data-source='jp']").attr("href", "/ProductList_JP.aspx?cbn=" + $("#bt_delegate_list").attr("data-cbnumber"));
    $("a[data-source='de']").attr("href", "/ProductList_DE.aspx?cbn=" + $("#bt_delegate_list").attr("data-cbnumber"));
    $("a[data-source='kr']").attr("href", "/ProductList_KR.aspx?cbn=" + $("#bt_delegate_list").attr("data-cbnumber"));


    $("a[data-field='enterprise']").mouseover(function () {
        var enterprise = $(this);
        var number = $(enterprise).attr("data-number");
        var security = $(enterprise).find(".Securityopen");
        if (security.length > 0) {
            $(security).css("visibility", "visible");
        }
        else {
            var shtml = "";
            $.post("/Handler/GetEnterpriseImg.ashx", { number: number }, function (result) {
                if (result.length > 0) {

                    shtml += '<div class="Securityopen">';
                    shtml += ' 	<p class="expansion-tit">Enterprise Certification</p>';
                    shtml += '     <div class="expansion-con">';
                    shtml += '     	<div class="con-info">';
                    shtml += '            	<div class="W200"><img class="fl" src="images/Topic_20.png" width="41" height="56">';
                    shtml += '             <div class="info-r"><p class="rp1">verified</p><p class="rp2">From:' + result[0].InputTime + '</p></div>';
                    shtml += '         </div>';
                    shtml += '      </div>';
                    shtml += '      <div class="con-photo">';
                    shtml += '      	<table width="100%">';
                    shtml += '         	<tbody><tr>';
                    for (var i = 0; i < result.length; i++) {
                        shtml += '             	<td><div><img src="' + result[i].Img + '"></div></td>';
                    }
                    shtml += '             </tr>';
                    shtml += '         </tbody></table>';
                    shtml += '      </div>';
                    shtml += '      <div><input data-field="enterprise" type="button" value="Certification Details"></div>';
                    shtml += '     </div>';
                    shtml += ' </div>';
                }
                $(enterprise).append(shtml);
                $(enterprise).find("input[data-field='enterprise']").unbind("click");
                $(enterprise).find("input[data-field='enterprise']").click(function () {
                    location.href = "/EnterpriseCertification_EN_" + number + ".htm";
                });
                var security = $(enterprise).find(".Securityopen");
                (security).css("visibility", "visible");
            }, "json");

        }
    })

    $("a[data-field='enterprise']").mouseout(function () {
        var security = $(this).find(".Securityopen");
        if (security != null) {
            $(security).css("visibility", "hidden");
        }
    })

    $("a[data-field='prev']").click(function () {
        var imgs = $(this).parent().parent().find("img[data-field='img']");
        var curr_i = 0;
        for (var i = 0; i < imgs.length; i++) {
            if ($(imgs[i]).hasClass("current_i")) {
                $(imgs[i]).hide();
                $(imgs[i]).removeClass("current_i");
                curr_i = i;
            }
        }
        if (curr_i == 0) {
            $(imgs[imgs.length - 1]).show();
            $(imgs[imgs.length - 1]).addClass("current_i");
        }
        else {
            $(imgs[curr_i - 1]).show();
            $(imgs[curr_i - 1]).addClass("current_i");
        }
    })

    $("a[data-field='next']").click(function () {
        var imgs = $(this).parent().parent().find("img[data-field='img']");
        var curr_i = 0;
        for (var i = 0; i < imgs.length; i++) {
            if ($(imgs[i]).hasClass("current_i")) {
                $(imgs[i]).hide();
                $(imgs[i]).removeClass("current_i");
                curr_i = i;
            }
        }
        if (curr_i == imgs.length - 1) {
            $(imgs[0]).show();
            $(imgs[0]).addClass("current_i");
        }
        else {
            $(imgs[curr_i + 1]).show();
            $(imgs[curr_i + 1]).addClass("current_i");
        }
    })

    $("[data-morecontact='true']").click(function () {
        var _this = $(this);
        var cbsid = _this.attr("data-cbsid");
        var companyname = _this.attr("data-companyname");
        var contact = _this.attr("data-contact").split(";");
        var mobile = _this.attr("data-mobile").split(";");
        var tel = _this.attr("data-tel").split(";");
        var email = _this.attr("data-email").split(";");
        var c = 0;
        if (c < contact.length) {
            c = contact.length;
        }
        if (c < mobile.length) {
            c = mobile.length;
        }
        if (c < tel.length) {
            c = tel.length;
        }
        if (c < email.length) {
            c = email.length;
        }
        var html = '<b class="close" onclick="CloseDiv(\'dv_morecontact\',\'fade\')"></b>';
        html += '<p style="color: #01a16a; font: 20px \'Microsoft YaHei\';" data-companyname="true">' + companyname + '</p>';
        //for (var i = 0; i < c; i++) {
        //    html += '<ul>';
        //    if (contact.length > i && contact[i]) {
        //        html += '    <li><span>연락처:</span>' + contact[i] + '</li>';
        //    }
        //    if (mobile.length > i && mobile[i]) {
        //        html += '    <li><span>휴대폰:</span>' + mobile[i] + '</li>';
        //    }
        //    if (tel.length > i && tel[i]) {
        //        html += '    <li><span>전화.:</span>' + tel[i] + '</li>';
        //    }
        //    if (email.length > i && email[i]) {
        //        html += '    <li><span>이메일 주소:</span>' + email[i] + '</li>';
        //    }
        //    html += '</ul>'
        //}
        $.ajax({
            url: "ProductList_KR.aspx/GetSuppliersContact",
            type: "post",
            datatype: "json",
            async: false,
            data: "{CBSID:'" + cbsid + "'}",
            contentType: "application/json;charset=utf-8",
            success: function (data) {
                var info = JSON.parse(data.d);
                if (info != null && info.length > 0) {
                    for (var i = 0; i < info.length; i++) {
                        html += "<ul>";
                        if (info[i].Contact != "" && info[i].Contact != null) {
                            html += "<li><span>연락처:</span>" + info[i].Contact + "</li>";
                        }
                        if (info[i].Tel != "" && info[i].Tel != null) {
                            var code = (info[i].AreaCode == "" || info[i].AreaCode == null) ? "" : info[i].AreaCode + "-";
                            var fj = (info[i].Extension == "" || info[i].Extension == null) ? "" : "-" + info[i].Extension;
                            html += "<li><span>전화.:</span>" + code + "" + info[i].Tel + " " + fj + " </li>";
                        }
                        if (info[i].Mobile != "" && info[i].Mobile != null) {
                            html += "<li><span>휴대폰:</span>" + info[i].Mobile + " </li>";
                        }
                        if (info[i].Email != "" && info[i].Email != null) {
                            html += "<li><span>이메일 주소:</span>" + info[i].Email + " </li>";
                        }
                        html += "</ul>";
                    }
                }
            }
        })
        html += '<p class="prompt">우리 에 게 당신 이 화학 수첩 에서 본 것 을 알려 주세요.이것 은 거래 에 도움 이 됩 니 다.</p>';
        $("#dv_morecontact .update_box").html(html);
        var scrollHeight = document.body.scrollHeight; //文档高度 
        document.getElementById("fade").style.height = scrollHeight + 'px';
        document.getElementById('dv_morecontact').style.display = 'block';
        document.getElementById('fade').style.display = 'block';
    })

    $("span[data-field='distributor']").click(function () {
        var cbsid = $(this).attr("data-cbsid");
        $.get("/handler/GetDistributorInfo.ashx", { cbsid: cbsid, language: "KR" }, function (result) {
            if (result != null) {
                var table1 = result.Table;
                var table2 = result.Table1;
                distributorCities = result.Table2;

                $("img[data-company-logo='true']").attr("src", table1[0].logoURL);
                $("div[data-company-name='true']").text(table1[0].CompanyName_EN);
                if (table1[0].MainProductsEN != null && table1[0].MainProductsEN != '') {
                    $("div[data-main-products='true']").text("주요 제품:" + table1[0].MainProductsEN);
                }


                var countryHtml = '';
                if (table2.length > 0) {
                    var country = "";
                    for (var i = 0; i < table2.length; i++) {
                        if (i == 0) {
                            distributorCountry = table2[i].Country;
                            /*countryHtml += '<span class="wdqa" data-country="true">' + table2[i].Country + '</span>';*/
                        }
                        else {
                            /*countryHtml += '<span data-country="true">' + table2[i].Country + '</span>';*/
                        }
                    }
                    $("div[data-distributor-country-box='true']").html(countryHtml);
                    $("span[data-country='true']").click(function () {
                        distributorCountry = $(this).text();
                        $("span[data-country='true']").removeClass("wdqa");
                        $(this).addClass("wdqa");
                        citySelect(distributorCities);
                    });
                    citySelect(distributorCities);
                }
                $("div[data-distributor-box='true']").show();
            }
        }, "json");

    })

    $("a[data-distributor-box-close='true']").click(function () {
        $("img[data-company-logo='true']").attr("src", "");
        $("div[data-company-name='true']").text("");
        $("div[data-main-products='true']").text("");
        $("div[data-distributor-country-box='true']").html("");
        $("div[data-distributor-city-box='true']").html("");
        $("div[data-distributor-box='true']").hide();
    })
});

function citySelect(cl) {
    var city = cl.filter(function (city) {
        return city.Country == distributorCountry;
    });
    if (city.length > 0) {
        /*var cityHtml = '<div class="ebtit">' + distributorCountry + '</div>';*/
        var cityHtml = '';
        for (var i = 0; i < city.length; i++) {
            cityHtml += '<div class="ebli">';
            if (city[i].City != null && city[i].City != "") {
                cityHtml += '<div class="ebcs">' + city[i].City + '</div>';
            }
            if (city[i].CompanyName != null && city[i].CompanyName != "") {
                cityHtml += '<div class="ebgs">' + city[i].CompanyName + '</div>';
            }
            if (city[i].CompanyAddress != null && city[i].CompanyAddress != "") {
                cityHtml += '<div class="ebdz"> ' + city[i].CompanyAddress + '</div>';
            }
            cityHtml += '<div class="ebr">';
            if (city[i].Tel != null && city[i].Tel != "") {
                cityHtml += '<div><span>전화기:</span>' + city[i].Tel + '</div>';
            }
            if (city[i].Mobile != null && city[i].Mobile != "") {
                cityHtml += '<div><span>핸드폰:</span>' + city[i].Mobile + '</div>';
            }
            if (city[i].Email != null && city[i].Email != "") {
                cityHtml += '<div><span>메일박스:</span>' + city[i].Email + '</div>';
            }
            if (city[i].WebSite != null && city[i].WebSite != "") {
                cityHtml += '<div><span>웹 주소:</span>' + city[i].WebSite + '</div>';
            }

            cityHtml += '</div>';
            cityHtml += '</div>';
        }
        $("div[data-distributor-city-box='true']").html(cityHtml);
    }
}

//关闭弹出层 
function CloseDiv(show_div, bg_div) {
    document.getElementById(show_div).style.display = 'none';
    document.getElementById(bg_div).style.display = 'none';
}
//多选供应商显示已选数量标签
function mergeShow(m)
{
    var $merge = $(".Merge").clone();
    $merge.attr("style", "").attr("data-merge", true);
    $merge.attr("style", "");
    $merge.find(".arrow_cho").after("접촉   " + cbsid.length + "/10  공급 업체");
    $merge.find(".mergebox2").click(function () {
        setCookie("merge", cbsid.join(","), "d1");
        var delegate = $("#bt_delegate_list");
        var cas = delegate.attr("data-cas");
        var cbnumber = delegate.attr("data-cbnumber");
        var productname = delegate.attr("data-productname");
        var ename = $("#bt_delegate_list").attr("data-productename");
        var source = "multi";
        location.href = "InquiryToSupplier_KR.aspx?cas=" + cas + "&ename=" + ename + "&n=" + productname + "&cbnumber=" + cbnumber + "&source=" + source;
    });
    m.after($merge);
}
// 功能：获取url地址
function getUrl(name, value) {
    var search = window.location.search;
    value = encodeURIComponent(value);
    if (search) {
        var searchs = search.replace(/\?/g, "").split("&");
        var repeater = false;
        for (var i = 0; i < searchs.length; i++) {
            if (searchs[i].indexOf(name + "=") == 0) {
                searchs[i] = name + "=" + value;
                repeater = true;
                break;
            }
        }
        if (!repeater) {
            searchs.push(name + "=" + value);
        }
        return window.location.href.replace(search, "?" + searchs.join("&"));
    }
    else {
        return window.location.href + "?" + name + "=" + value;
    }
};
//功能：删除url地址
function removeUrlSearch(name, url) {
    var patter = "&" + name + "=[^&#]+";
    return url.replace(new RegExp(patter), "");
};

function removeUrl(name, url) {
    var search = window.location.search;
    if (search) {
        var searchs = search.replace(/\?/g, "").split("&");
        var index = -1;
        for (var i = 0; i < searchs.length; i++) {
            if (searchs[i].indexOf(name + "=") == 0) {
                index = i;
                break;
            }
        }
        if (index > -1) {
            searchs.splice(index, 1);
        }
        if (searchs.length > 0) {
            return window.location.href.replace(search, "?" + searchs.join("&"));
        }
        else {
            return window.location.href.replace(search, "");
        }
    }
}

//显示查询条件
function displaySearchConditions() {
    var parameters = getSearchParameters();
    if (parameters.length == 0) {
        $(".Sel_Y").hide();
    }
    else
    {
        var simepleQuery = "";
        for (var i = 0; i < parameters.length; i++) {
            var parameter = parameters[i];
            $(".Sel_Y ul").append("<li>" + parameter.name + "<b class=\"icon_Pro\" data-key=\"" + parameter.key + "\" data-name=\"" + parameter.value + "\"></b></li>");

            //综合搜索
            $("li[data-key='" + parameter.key + "']").each(function () {
                var text = $(this).text();
                var name = $(this).attr("data-name").toLocaleLowerCase();
                if (name == parameter.value.toLocaleLowerCase()) {
                    $(this).toggleClass("Sel_h");
                    return false;
                }
            })
            //二次搜索条件
            //simepleQuery += parameter.key + "=" + parameter.name.replace("、", "|").replace("Price", "true").replace("大货", "true");
            //if (i < parameters.length - 1) {
            //    simepleQuery += "&";
            //}
        }
        //赋予二次搜索条件
        //$("a[data-smiple='true']").each(function () {
        //    var href = $(this).attr("href");
        //    $(this).attr("href", href + "&" + simepleQuery);
        //})
    }
     
}

//功能：获取查询参数值
function getSearchParameters() {
    var search = window.location.search;
    var parameters = [];
    if (search) {
        var searchs = search.replace(/\?/g, "").split("&");

        //字母或字母+数字为动态查询条件，两个字母的为固定查询
        for (var i = 0; i < searchs.length; i++) {
            var parameter = searchs[i].split("=");
            var key = parameter[0];
            var name = decodeURIComponent(parameter[1]).replace("<", "").replace(">", "").replace("script", "").replace(/\|/g, "、");
            var value = name;
            switch (key) {
                case "ec":
                    switch (name) {
                        case "1":
                            name = "제조사";
                            break;
                    }
                    break;
                case "st":
                    name = "In sptock";
                    break;
                case "hp":
                    name = "가격";
                    break;
                case "pt":
                    name = "공장";
                    break;
                default:
                    name = name.replace("<", "").replace(">", "").replace("script", "").replace(/\|/g, "、");
                    break;
            }
            var patter = /^(?:cbn|kwd|page)$/i;
            if (!patter.test(key)) {
                parameters.push({ key: key, name: name, value: value });
            }
        }
    }
    return parameters;

}

function Conditions(containerElement, targetElement) {
    var _containerElement = containerElement;
    var _targetElement = targetElement;
    this.more = function () {
        var moreClass = "Sel_more";
        _containerElement.toggleClass(moreClass);
        if (_containerElement.hasClass(moreClass)) {
            targetElement.parent().html('<span class="Fmore" data-expend="more">적게<i class="fil_no_more"></i></span><span class="Fmore" data-expend="multiple">다중 선택<i class="fil_checkbox"></i></span>');
        }
        else {
            targetElement.parent().html('<span class="Fmore" data-expend="more">여분의<i class="fil_more"></i></span><span class="Fmore" data-expend="multiple">다중 선택<i class="fil_checkbox"></i></span>');
        }
    },
    this.multiple = function () {
        targetElement.parent().hide();
        var moreClass = "Sel_more";
        if (_containerElement.hasClass(moreClass)) {
            _containerElement.removeClass(moreClass);
            targetElement.parent().html('<span class="Fmore" data-expend="more">적게<i class="fil_more"></i></span><span class="Fmore" data-expend="multiple">다중 선택<i class="fil_checkbox"></i></span>');
        }
        _containerElement.toggleClass("Sel_multiple");

    },
    this.expend = function () {
        _containerElement.parent().parent().removeClass("Sel_multiple");
        _containerElement.prev().show()
    },
    this.multipleSearch = function () {
        var key, name;
        var $selected = _containerElement.parent().find(".Sel_h [data-key]");
        if ($selected.length == 0) {
            $selected = _containerElement.parent().find(".Sel_h[data-key]");
        }
        $selected.each(function () {
            var data = $(this).data();
            key = data.key;
            if (name) {
                name += "|" + data.name;
            }
            else {
                name = data.name;
            }
        });
        if (key && name) {

            window.location.href = removeUrlSearch("page", getUrl(key, name));
        }
    },
    this.singSearch = function () {

        if (_containerElement.hasClass("Sel_multiple")) {
            targetElement.toggleClass("Sel_h");
            var selectedLength = _containerElement.find(".Sel_h").length;
            var $save = _containerElement.find(":button[data-operator='save']");
            if (selectedLength > 0) {
                $save.prop("disabled", false);
            }
            else {
                $save.prop("disabled", true);
            }
        }
        else {
            var data = targetElement.data();
            var redirectUrl = getUrl(data.key, data.name);
            if (redirectUrl.lastIndexOf("#J_Condition") == -1) {
                redirectUrl = redirectUrl + "#J_Condition";
            }

            window.location.href = removeUrlSearch("page", redirectUrl);
        }
    };
}

function getMyAccount() {
    $.ajax({
        url: "/UserProfile/GetMyAccount.ashx",
        dataType: "json",
        cache: false,
        success: function (json) {
            if (json != 0) {
                var count = json.InquiryCoutn + json.Quotation;
                if (count>0) {
                    $(".UserNo").text(count);
                    $(".UserNo").show();
                }
                else {
                    $(".UserNo").hide();
                }
            }
            else {
                $(".UserNo").hide();
            }
        }
    });
}

function getSearchKeyWord() {
    var search = window.location.search;
    if (search) {
        var reg = new RegExp(/kwd=([^&]+)/);
        var matchs = reg.exec(search);
        if (matchs != null && matchs.length >= 2) {
            return decodeURIComponent(matchs[1]).replace("<", "").replace(">", "").replace("script", "").replace("%2c", ",");
        }
    }
    return "";
};